Name:       ocaml-samplerate
Version:    0.1.2
Release:    %mkrel 6
Summary:    OCaml interface for libsamplerate (audio rate conversion library)
License:    LGPL
Group:      Development/OCaml
URL:        http://sourceforge.net/projects/savonet/files/ocaml-samplerate/
Source0:    http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  libsamplerate-devel

%description
This package contains an OCaml interface for audio rate
conversion library, otherwise known as libsamplerate.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   libsamplerate-devel

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/samplerate
make install

%files
%doc README COPYING CHANGES
%dir %{_libdir}/ocaml/samplerate
%{_libdir}/ocaml/samplerate/META
%{_libdir}/ocaml/samplerate/*.cmi
%{_libdir}/ocaml/samplerate/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/
%{_libdir}/ocaml/samplerate/*.a
%{_libdir}/ocaml/samplerate/*.cmxa
%{_libdir}/ocaml/samplerate/*.cmx
%{_libdir}/ocaml/samplerate/*.mli


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 0.1.2-6.mga6
+ Revision: 1069813
- Rebuild against fixed ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.1.2-5.mga6
+ Revision: 956448
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 741347
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 683101
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.2-2.mga4
+ Revision: 523844
- Mageia 4 Mass Rebuild

* Sat May 25 2013 blue_prawn <blue_prawn> 0.1.2-1.mga4
+ Revision: 427664
- imported package ocaml-samplerate

